Recordad que para pedir soporte alguno, debéis facilitar los datos de soporte oportunos por favor, mirad aquí y leer las Normas generales del foro, esto nos servirá de ayuda para dar el mejor soporte..

Gracias.

La Administración de phpBB España.

Problema al actualizar a 3.3.2Tema Solucionado

Foros de soporte phpBB 3.3


Tio Javi
Usuario/a
Mensajes: 60
Registrado: 21 Sep 2014, 04:19

Problema al actualizar a 3.3.2

#1

Mensaje por Tio Javi »


Datos de Soporte - Inicio

www.partieron.cl
Estilo(s) usuado(s): flat style
MODs/Extensiones instaladas: (en el sitio en cuestión)
Versión de phpBB: 3.3.0
Versión de PHP en tu servidor: 7.3.6
Tipo de base de datos y versión en tu servidor: libmysql - 5.6.43

Tu conocimiento: Conocimiento básico
Servidor: de pago
Es una actualización desde otra versión: 3.3.0 a 3.3.2
Es una conversión desde otro tipo de Foro: NO


Datos de Soporte - Fin

Hola estimados. De unos días atrás el foro me estaba arrojando errores cuando editaba mensajes y en otros. Me di cuenta que la versión del foro estaba desactualizada así es que me di a la tarea de actualizarla de 3.3.0 a 3.3.2. Bajé el paquete automático y traté de hacerlo, pero me arrojaba error el paquete, señalando que la versión de mi foro era 3.2.7...esto no lo entendí. Luego busqué en este mismo sitio y muchos recomendaban descargar los archivos cambiados. Bajé el paquete de archivos, luego subí solamente la carpeta zip de 3.3.0 a 3.3.2, la descomprimí y el sitio se "vino abajo". Ahora o carga y arroja HTTP ERROR 500. Si veo el archivo de errores, tengo varios que desconozco y no entiendo de qué se tratan. Los pongo a continuación:

Código: Seleccionar todo

[Thu Dec 03 01:16:13.583604 2020] [cgi:error] [pid 7390] [client 185.191.171.36:64702] AH01215: #3 /ho in /home/partiero/public_html/phpBB3/phpbb/controller/helper.php on line 102: /usr/local/cpanel/cgi-sys/ea-php71
[Thu Dec 03 01:16:13.583531 2020] [cgi:error] [pid 7390] [client 185.191.171.36:64702] AH01215: #2 /home/partiero/public_html/phpBB3/cache/production/container_4335734bbdd20f586549a504dff5f80c.php(2365): phpbb_cache_container->getVse_Abbc3_ListenerService(): /usr/local/cpanel/cgi-sys/ea-php71
[Thu Dec 03 01:16:13.583388 2020] [cgi:error] [pid 7390] [client 185.191.171.36:64702] AH01215: #1 /home/partiero/public_html/phpBB3/cache/production/container_4335734bbdd20f586549a504dff5f80c.php(4622): phpbb_cache_container->getController_HelperService(): /usr/local/cpanel/cgi-sys/ea-php71
[Thu Dec 03 01:16:13.583246 2020] [cgi:error] [pid 7390] [client 185.191.171.36:64702] AH01215: #0 /home/partiero/public_html/phpBB3/cache/production/container_4335734bbdd20f586549a504dff5f80c.php(1733): phpbb\\controller\\helper->__construct(Object(phpbb\\template\\twig\\twig), Object(phpbb\\user), Object(phpbb\\config\\db), Object(phpbb\\symfony_request), Object(phpbb\\request\\request), Object(phpbb\\routing\\helper)): /usr/local/cpanel/cgi-sys/ea-php71
[Thu Dec 03 01:16:13.582928 2020] [cgi:error] [pid 7390] [client 185.191.171.36:64702] AH01215: PHP Fatal error:  Uncaught TypeError: Argument 1 passed to phpbb\\controller\\helper::__construct() must be an instance of phpbb\\auth\\auth, instance of phpbb\\template\\twig\\twig given, called in /home/partiero/public_html/phpBB3/cache/production/container_4335734bbdd20f586549a504dff5f80c.php on line 1733 and defined in /home/partiero/public_html/phpBB3/phpbb/controller/helper.php:102: /usr/local/cpanel/cgi-sys/ea-php71

FAVOR VUESTRA AYUDA. Cómo lo soluciono? Qué me recomiendan?

Gracias.




Avatar de Usuario
AbaddonOrmuz
Moderador
Mensajes: 1119
Registrado: 14 Ene 2017, 22:18
Género:

Re: Problema al actualizar a 3.3.2

#2

Mensaje por AbaddonOrmuz »

Por favor, no abuses del texto en negrita, y usa el BBCode [code][/code] para que el registro de errores sea más legible.

En cuanto a tu consulta, el registro muestra errores con la caché, así que intenta limpiar la caché manualmente. Para ello elimina todo el contenido dentro de la carpeta cache/production/

Si eso no corrige el problema, actualiza usando el paquete completo en español, usando ésta guía:

Tio Javi escribió: 03 Dic 2020, 05:17

Bajé el paquete automático y traté de hacerlo, pero me arrojaba error el paquete, señalando que la versión de mi foro era 3.2.7

En ese caso es probable que la actualización a 3.3.0 no haya sido exitosa.

Tio Javi escribió: 03 Dic 2020, 05:17

Luego busqué en este mismo sitio y muchos recomendaban descargar los archivos cambiados

Si quieres evitarte éste tipo de problemas, siempre usa el paquete completo.


Tio Javi
Usuario/a
Mensajes: 60
Registrado: 21 Sep 2014, 04:19

Re: Problema al actualizar a 3.3.2  Tema Solucionado

#3

Mensaje por Tio Javi »

Perfecto. Solo me funcionó instalando el paquete completo. Muchas gracias!!


  • Temas similares
    Respuestas
    Vistas
    Último mensaje

Volver a “🔎 Foros de Soporte 3.3”